tags 347554 +pending
thanks
Hi,
I have uploaded an NMU fixing this bug (emacs21: FTBFS on hurd-i386:
segfault when running binary [patch]) to DELAYED/7-day. If you prefer
to fix this bug yourself in the meantime, just upload a new version.
I have attached the NMU interdiff.
cheers,
Michael
--
Michael Banck
Debian Developer
[EMAIL PROTECTED]
http://www.advogato.org/person/mbanck/diary.html
diff -u emacs21-21.4a/debian/patches/00list emacs21-21.4a/debian/patches/00list
--- emacs21-21.4a/debian/patches/00list
+++ emacs21-21.4a/debian/patches/00list
@@ -28,2 +28,3 @@
fix-x-vs-no-x-diffs
+hurd-mmap
autofiles
diff -u emacs21-21.4a/debian/changelog emacs21-21.4a/debian/changelog
--- emacs21-21.4a/debian/changelog
+++ emacs21-21.4a/debian/changelog
@@ -1,3 +1,13 @@
+emacs21 (21.4a-3.1) unstable; urgency=low
+
+ * Non-maintainer upload.
+ * Apply patch to fix GNU/Hurd build, taken from upstream.
+ (closes: #347554)
+ - debian/patches/hurd-mmap.patch: new file.
+ - debian/00list: updated.
+
+ -- Michael Banck <[EMAIL PROTECTED]> Fri, 6 Jan 2006 19:51:24 +0100
+
emacs21 (21.4a-3) unstable; urgency=low
* Disable support for the ppc64 architecture: the patch breaks the
only in patch2:
unchanged:
--- emacs21-21.4a.orig/debian/patches/hurd-mmap.dpatch
+++ emacs21-21.4a/debian/patches/hurd-mmap.dpatch
@@ -0,0 +1,64 @@
+#!/bin/sh -e
+## hurd-mmap.dpatch by Michael Banck <[EMAIL PROTECTED]>
+##
+## DP: ** mmap fix
+## DP: on Hurd systems has been added.
+## DP: Status: has been incorporated upstream
+## DP: Author: Richard M. Stallman <[EMAIL PROTECTED]>
+## DP: Date: Fri, 06 Jan 2006 18:55:03 -0400
+
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+ -patch) patch $patch_opts -p1 < $0;;
+ -unpatch) patch $patch_opts -p1 -R < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as
argument"
+ exit 1;;
+esac
+
+exit 0
+
[EMAIL PROTECTED]@
+2002-04-30 Richard M. Stallman <[EMAIL PROTECTED]>
+
+ * s/gnu.h [emacs]: Include stdio.h.
+ (GNU_LIBRARY_PENDING_OUTPUT_COUNT): New definition, conditional.
+
+2002-05-05 Richard M. Stallman <[EMAIL PROTECTED]>
+
+ * s/gnu.h [DOUG_LEA_MALLOC] (REL_ALLOC): Undefine it.
+
+--- orig/src/s/gnu.h
++++ mod/src/s/gnu.h
+@@ -60,6 +60,11 @@
+ #undef BSD_PGRPS
+ #define GETPGRP_NO_ARG
+
++/* Use mmap directly for allocating larger buffers. */
++#ifdef DOUG_LEA_MALLOC
++#undef REL_ALLOC
++#endif
++
+ #define HAVE_WAIT_HEADER
+ #define WAIT_USE_INT
+ #define HAVE_UNION_WAIT
+@@ -78,3 +83,12 @@
+ #endif
+
+ #define NARROWPROTO 1
++
++#ifdef emacs
++#include <stdio.h> /* Get the definition of _IO_STDIO_H. */
++#if defined(_IO_STDIO_H) || defined(_STDIO_USES_IOSTREAM)
++/* new C libio names */
++#define GNU_LIBRARY_PENDING_OUTPUT_COUNT(FILE) \
++ ((FILE)->_IO_write_ptr - (FILE)->_IO_write_base)
++#endif /* !_IO_STDIO_H */
++#endif /* emacs */